Subject: Re: IPv6 as a Standard?

From: Ole Troan <[email-masked]>
Date: Fri, 3 Apr 2015 22:54:33 +0200

>>> IPv6 is 20 year old (cf my next message) so it is time to launch the
>>> process to make it a (full) Standard!
>> 
>> Age is not the question - does it meet the criteria in RFC 6410?
>> I think the answer is yes, but the questions about errata and unused
>> features have to be answered.
>> 
>> And there is a practical problem caused by "Updated by RFC5095, RFC5722,
>> RFC5871, RFC6437, RFC6564, RFC6935, RFC6946, RFC7045, RFC7112". There's
>> no way 2460 can be promoted as-is.
> 
> => I believe the answer is in your second sentence, i.e., errata and
> unused features are in the updating RFCs. So:
> (1) 2 implementations: no issue
> (2) errata: to be done (*)
> (3) unused feature: to be done (*)
> (4) IPR: none
> So we have to produce a "consolidated" version of RFC 2460 merging most
> of the updating RFCs (what I marked with (*)). The token is in the hands
> of the WG chairs…

Bob and I had a look at sub-set of the IPv6 core RFCs that are at draft standard during IETF week.
at least for 2460 the errata do not look to be an issue. nor are we aware of any unused features.

RFC6410 says nothing about “Updated by” RFCs, and we have asked our AD to get a clarification from the IESG.
in case we are required to incorporate the "Updated by” RFCs, as opposed to promote the document as-is, it might require a more thorough discussion. I did a first pass at incorporating the changes suggested in those RFCs, and it turns out that a couple of them are not just simple editorial changes. likewise we need to consider if it is wise to publish the IPv6 specification under a new RFC number.

Best regards,
Ole

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 13 Apr 2015 16:17:17 +1200

> in case we are required to incorporate the "Updated by” RFCs, as opposed to promote the document as-is, it might require a more thorough discussion. I did a first pass at incorporating the changes…

I've been thinking about this from time to time, and I conclude that RFC 2460
has been updated by so many RFCs that it would be very misleading to promote it
as-is. It may be that the correct solution is a lot of work, unfortunately.

    Brian